Permalink
Browse files

brew doctor: update expat check

Apaprently both expat.framework and libexpat.framework exist
and interfere with CMake.
  • Loading branch information...
adamv committed Apr 4, 2011
1 parent 983aa34 commit d0b7e64f6520602e48f26cde0600b23209833e87
Showing with 9 additions and 7 deletions.
  1. +9 −7 Library/Homebrew/cmd/doctor.rb
@@ -574,15 +574,17 @@ def check_for_CLICOLOR_FORCE
def check_for_other_frameworks
# Other frameworks that are known to cause problems when present
- if File.exist? "/Library/Frameworks/expat.framework"
- puts <<-EOS.undent
- /Library/Frameworks/expat.framework detected
+ ["/Library/Frameworks/expat.framework", "/Library/Frameworks/libexpat.framework"].each do |f|
+ if File.exist? f
+ puts <<-EOS.undent
+ #{f} detected
- This will be picked up by Cmake's build system and likey cause the
- build to fail, trying to link to a 32-bit version of expat.
- You may need to move this file out of the way to compile Cmake.
+ This will be picked up by Cmake's build system and likey cause the
+ build to fail, trying to link to a 32-bit version of expat.
+ You may need to move this file out of the way to compile Cmake.
- EOS
+ EOS
+ end
end
end

0 comments on commit d0b7e64

Please sign in to comment.